{% extends "package/read_base.html" %}

{% block subtitle %}{{ _('MQA') }} - {{ super() }}{% endblock %}

{% block primary_content_inner %}
    <h1 class="hide-heading">{% block page_heading %}{{ _('MQA') }}{% endblock %}</h1>
    {{ _('This data was generated by the Metadata Quality Service') }}
    - <a href="{{ c.mqa_link }}" target="_blank">{{ _('read more') }}</a>
    {% if c.violations|length > 0 %}
        <section class="additional-info">
            <br>
            {% block resources_violation_info %}
                <div>
                    {% for violation in c.violations %}
                        <table class="table table-striped table-bordered table-condensed">
                            <tbody>
                            <tr>
                                <th scope="row" class="dataset-label">{{ _('ID') }}</th>
                                <td class="dataset-details">{{  violation.id }}</td>
                            </tr>
                            <tr>
                                <th scope="row" class="dataset-label">{{ _('Property') }}</th>
                                <td class="dataset-details">{{  violation.violationName }}</td>
                            </tr>
                            <tr>
                                <th scope="row" class="dataset-label">{{ _('Violation') }}</th>
                                <td class="dataset-details">{{  violation.violationInstance }}</td>
                            </tr>
                            </tbody>
                        </table>
                    {% endfor %}
                </div>
            {% endblock %}
        </section>
    {% endif %}
{% endblock %}
